---
- name: Compile BIND
  hosts: hex
  become: false
  environment:
    PATH: '{{ ansible_env.PATH }}'

  tasks:
    - name: Git pull BIND
      ansible.builtin.git:
        repo: https://gitlab.com/bindrpg/core.git
        dest: "{{ ansible_user_dir }}/core"
        clone: true
        verify_commit: true
        version: master


    - name: Make BIND
      community.general.make:
        chdir: "{{ ansible_user_dir }}/core"
        jobs: 3
        target: all
